# Uses of Interface
javax.xml.namespace.NamespaceContext

Packages that use NamespaceContext
Package
Description
javax.xml.stream
Defines interfaces and classes for the Streaming API for XML (StAX).
javax.xml.stream.events
Defines event interfaces for the Streaming API for XML (StAX).
javax.xml.stream.util
Provides utility classes for the Streaming API for XML (StAX).
javax.xml.xpath
Provides an object-model neutral API for the evaluation of XPath expressions and access to the evaluation environment.

## Uses of NamespaceContext in javax.xml.stream

Methods in javax.xml.stream that return NamespaceContext
Modifier and Type
Method
Description
`NamespaceContext`
XMLEventWriter.`getNamespaceContext()`
Returns the current namespace context.
`NamespaceContext`
XMLStreamReader.`getNamespaceContext()`
Returns a read only namespace context for the current position.
`NamespaceContext`
XMLStreamWriter.`getNamespaceContext()`
Returns the current namespace context.
Methods in javax.xml.stream with parameters of type NamespaceContext
Modifier and Type
Method
Description
`abstract StartElement`
XMLEventFactory.`createStartElement(String prefix, String namespaceUri, String localName, Iterator<? extends Attribute> attributes, Iterator<? extends Namespace> namespaces, NamespaceContext context)`
Create a new StartElement.
`void`
XMLEventWriter.`setNamespaceContext(NamespaceContext context)`
Sets the current namespace context for prefix and uri bindings.
`void`
XMLStreamWriter.`setNamespaceContext(NamespaceContext context)`
Sets the current namespace context for prefix and uri bindings.

## Uses of NamespaceContext in javax.xml.stream.events

Methods in javax.xml.stream.events that return NamespaceContext
Modifier and Type
Method
Description
`NamespaceContext`
StartElement.`getNamespaceContext()`
Gets a read-only namespace context.

## Uses of NamespaceContext in javax.xml.stream.util

Methods in javax.xml.stream.util that return NamespaceContext
Modifier and Type
Method
Description
`NamespaceContext`
StreamReaderDelegate.`getNamespaceContext()`

## Uses of NamespaceContext in javax.xml.xpath

Methods in javax.xml.xpath that return NamespaceContext
Modifier and Type
Method
Description
`NamespaceContext`
XPath.`getNamespaceContext()`
Return the current namespace context.
Methods in javax.xml.xpath with parameters of type NamespaceContext
Modifier and Type
Method
Description
`void`
XPath.`setNamespaceContext(NamespaceContext nsContext)`
Establish a namespace context.